Bug 1649629 - Not all provider details getting updated after adding a new provider
Summary: Not all provider details getting updated after adding a new provider
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Piotr Kliczewski
QA Contact: Vatsal Parekh
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 06:00 UTC by Vatsal Parekh
Modified: 2019-02-12 16:51 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:51:20 UTC
Category: ---
Cloudforms Team: KubeVirt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-kubevirt pull 126 None None None 2018-12-07 16:12:57 UTC

Description Vatsal Parekh 2018-11-14 06:00:58 UTC
Description of problem:
For KubeVirt provider, after adding a new provider, not all the details are updated, like templates and VM details only appears after explicitly doing 'Refresh Relationships'

Version-Release number of selected component (if applicable):
Version 5.10.0.23.20181106165157_92dd189

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Bronagh Sorota 2018-11-14 17:15:49 UTC
Is this only happening for the KubeVirt provider?

Comment 22 CFME Bot 2018-12-07 16:22:53 UTC
New commit detected on ManageIQ/manageiq-providers-kubevirt/master:

https://github.com/ManageIQ/manageiq-providers-kubevirt/commit/8bb00da1ae78d7d4ebb32c1dc8439925956d9036
commit 8bb00da1ae78d7d4ebb32c1dc8439925956d9036
Author:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
AuthorDate: Fri Dec  7 11:03:34 2018 -0500
Commit:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
CommitDate: Fri Dec  7 11:03:34 2018 -0500

    refresh: Parser was never called

    With recent change [1] we introduced this regression where we stopped calling
    parser. This PR fixes the issue.

    Fixes: https://bugzilla.redhat.com/1649629

    [1] https://github.com/ManageIQ/manageiq-providers-kubevirt/pull/117

 app/models/manageiq/providers/kubevirt/infra_manager/refresh_worker/runner.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 23 CFME Bot 2018-12-07 19:32:56 UTC
New commit detected on ManageIQ/manageiq-providers-kubevirt/hammer:

https://github.com/ManageIQ/manageiq-providers-kubevirt/commit/0c7dd9b8745686028836d918909dfd43cb13b9f3
commit 0c7dd9b8745686028836d918909dfd43cb13b9f3
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Dec  7 11:20:25 2018 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Dec  7 11:20:25 2018 -0500

    Merge pull request #126 from pkliczewski/master

    refresh: Parser was never called
    (cherry picked from commit 0392c063ce89c1c4bcb225ea6868e660d6ee95c8)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649629

 app/models/manageiq/providers/kubevirt/infra_manager/refresh_worker/runner.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 24 Vatsal Parekh 2018-12-12 13:08:33 UTC
Seems working fine on 5.10.0.29

Comment 25 Vatsal Parekh 2018-12-17 11:59:39 UTC
Not sure what changed here, but seeing this failing again

evm.log
```
[----] I, [2018-12-17T06:54:02.510654 #38234:7e0f7c]  INFO -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager#with_provider_connection) Connecting through ManageIQ::Providers::Kubevirt::InfraManager: [openshift-kubevirt Virtualization Manager]
[----] I, [2018-12-17T06:54:02.521449 #38234:7e0f7c]  INFO -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager::Refresher#collect_inventory_for_targets) Filtering inventory...Complete
[----] I, [2018-12-17T06:54:02.521603 #38234:7e0f7c]  INFO -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager::Refresher#refresh_targets_for_ems) EMS: [openshift-kubevirt Virtualization Manager], id: [10] Refreshing target ManageIQ::Providers::Kubevirt::InfraManager [openshift-kubevirt Virtualization Manager] id [10]...
[----] I, [2018-12-17T06:54:02.654030 #38234:7e0f7c]  INFO -- : Exception in realtime_block :ems_refresh - Timings: {:collect_inventory_for_targets=>0.011107683181762695, :parse_inventory=>0.13212919235229492, :parse_targeted_inventory=>0.13223695755004883, :ems_refresh=>0.1435227394104004}
[----] E, [2018-12-17T06:54:02.654591 #38234:7e0f7c] ERROR -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager::Refresher#refresh) EMS: [openshift-kubevirt Virtualization Manager], id: [10] Refresh failed
[----] E, [2018-12-17T06:54:02.655656 #38234:7e0f7c] ERROR -- : [NoMethodError]: undefined method `[]' for nil:NilClass  Method:[block (2 levels) in <class:LogProxy>]
[----] E, [2018-12-17T06:54:02.655779 #38234:7e0f7c] ERROR -- : /opt/rh/cfme-gemset/gems/fog-kubevirt-0.1.6/lib/fog/compute/kubevirt/models/vm.rb:55:in `parse'
/opt/rh/cfme-gemset/gems/fog-kubevirt-0.1.6/lib/fog/compute/kubevirt/requests/list_vms.rb:10:in `block in list_vms'
/usr/share/ruby/delegate.rb:341:in `map'
/usr/share/ruby/delegate.rb:341:in `block in delegating_block'
/opt/rh/cfme-gemset/gems/fog-kubevirt-0.1.6/lib/fog/compute/kubevirt/requests/list_vms.rb:9:in `list_vms'
/opt/rh/cfme-gemset/gems/fog-kubevirt-0.1.6/lib/fog/compute/kubevirt/models/vms.rb:14:in `all'
/opt/rh/cfme-gemset/gems/fog-core-1.45.0/lib/fog/core/collection.rb:112:in `lazy_load'
/opt/rh/cfme-gemset/gems/fog-core-1.45.0/lib/fog/core/collection.rb:16:in `each'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubevirt-0c7dd9b87456/app/models/manageiq/providers/kubevirt/inventory/parser.rb:112:in `process_vms'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubevirt-0c7dd9b87456/app/models/manageiq/providers/kubevirt/inventory/parser/full_refresh.rb:47:in `parse'
/var/www/miq/vmdb/app/models/manageiq/providers/inventory.rb:37:in `block in parse'
/var/www/miq/vmdb/app/models/manageiq/providers/inventory.rb:34:in `each'
/var/www/miq/vmdb/app/models/manageiq/providers/inventory.rb:34:in `parse'
/var/www/miq/vmdb/app/models/manageiq/providers/inventory.rb:47:in `inventory_collections'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubevirt-0c7dd9b87456/app/models/manageiq/providers/kubevirt/infra_manager/refresher.rb:38:in `block in parse_targeted_inventory'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:28:in `realtime_block'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubevirt-0c7dd9b87456/app/models/manageiq/providers/kubevirt/infra_manager/refresher.rb:37:in `parse_targeted_inventory'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:105:in `block in refresh_targets_for_ems'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:28:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:104:in `refresh_targets_for_ems'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:41:in `block (2 levels) in refresh'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:35:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:41:in `block in refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:31:in `each'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:31:in `refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:11:in `refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:103:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:102:in `each'
/var/www/miq/vmdb/app/models/ems_refresh.rb:102:in `refresh'
/var/www/miq/vmdb/app/models/miq_queue.rb:455:in `block in dispatch_method'
/usr/share/ruby/timeout.rb:93:in `block in timeout'
/usr/share/ruby/timeout.rb:33:in `block in catch'
/usr/share/ruby/timeout.rb:33:in `catch'
/usr/share/ruby/timeout.rb:33:in `catch'
/usr/share/ruby/timeout.rb:108:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:453:in `dispatch_method'
/var/www/miq/vmdb/app/models/miq_queue.rb:430:in `block in deliver'
/var/www/miq/vmdb/app/models/user.rb:275:in `with_user_group'
/var/www/miq/vmdb/app/models/miq_queue.rb:430:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:104:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:137:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:155:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:149:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:149:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:329:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:153:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:127:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:22:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:402:in `block in start_runner_via_fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.4/lib/nakayoshi_fork.rb:23:in `fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.4/lib/nakayoshi_fork.rb:23:in `fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:400:in `start_runner_via_fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:390:in `start_runner'
/var/www/miq/vmdb/app/models/miq_worker.rb:441:in `start'
/var/www/miq/vmdb/app/models/miq_worker.rb:271:in `start_worker'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:74:in `start_worker_for_ems'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:52:in `block in sync_workers'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:51:in `each'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:51:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:22:in `monitor_workers'
/var/www/miq/vmdb/app/models/miq_server.rb:339:in `block in monitor'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:28:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:339:in `monitor'
/var/www/miq/vmdb/app/models/miq_server.rb:380:in `block (2 levels) in monitor_loop'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:35:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:380:in `block in monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:379:in `loop'
/var/www/miq/vmdb/app/models/miq_server.rb:379:in `monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:241:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:27:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:48:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'
[----] E, [2018-12-17T06:54:02.655865 #38234:7e0f7c] ERROR -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager::Refresher#refresh) EMS: [openshift-kubevirt Virtualization Manager], id: [10] Unable to perform refresh for the following targets:
[----] E, [2018-12-17T06:54:02.655995 #38234:7e0f7c] ERROR -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager::Refresher#refresh)  --- ManageIQ::Providers::Kubevirt::InfraManager [openshift-kubevirt Virtualization Manager] id [10]
[----] I, [2018-12-17T06:54:02.666420 #38234:7e0f7c]  INFO -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager::Refresher#refresh) Refreshing all targets...Complete
[----] E, [2018-12-17T06:54:02.666655 #38234:7e0f7c] ERROR -- : MIQ(MiqQueue#deliver) Message id: [931], Error: [undefined method `[]' for nil:NilClass]
[----] E, [2018-12-17T06:54:02.666807 #38234:7e0f7c] ERROR -- : [ManageIQ::Providers::BaseManager::Refresher::PartialRefreshError]: undefined method `[]' for nil:NilClass  Method:[block (2 levels) in <class:LogProxy>]
[----] E, [2018-12-17T06:54:02.666950 #38234:7e0f7c] ERROR -- : /var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:67:in `refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:11:in `refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:103:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:102:in `each'
/var/www/miq/vmdb/app/models/ems_refresh.rb:102:in `refresh'
/var/www/miq/vmdb/app/models/miq_queue.rb:455:in `block in dispatch_method'
/usr/share/ruby/timeout.rb:93:in `block in timeout'
/usr/share/ruby/timeout.rb:33:in `block in catch'
/usr/share/ruby/timeout.rb:33:in `catch'
/usr/share/ruby/timeout.rb:33:in `catch'
/usr/share/ruby/timeout.rb:108:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:453:in `dispatch_method'
/var/www/miq/vmdb/app/models/miq_queue.rb:430:in `block in deliver'
/var/www/miq/vmdb/app/models/user.rb:275:in `with_user_group'
/var/www/miq/vmdb/app/models/miq_queue.rb:430:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:104:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:137:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:155:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:149:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:149:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:329:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:153:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:127:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:22:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:402:in `block in start_runner_via_fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.4/lib/nakayoshi_fork.rb:23:in `fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.4/lib/nakayoshi_fork.rb:23:in `fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:400:in `start_runner_via_fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:390:in `start_runner'
/var/www/miq/vmdb/app/models/miq_worker.rb:441:in `start'
/var/www/miq/vmdb/app/models/miq_worker.rb:271:in `start_worker'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:74:in `start_worker_for_ems'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:52:in `block in sync_workers'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:51:in `each'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:51:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:22:in `monitor_workers'
/var/www/miq/vmdb/app/models/miq_server.rb:339:in `block in monitor'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:28:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:339:in `monitor'
/var/www/miq/vmdb/app/models/miq_server.rb:380:in `block (2 levels) in monitor_loop'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-078d1090482e/lib/gems/pending/util/extensions/miq-benchmark.rb:35:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:380:in `block in monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:379:in `loop'
/var/www/miq/vmdb/app/models/miq_server.rb:379:in `monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:241:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:27:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:48:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'
[----] I, [2018-12-17T06:54:02.667063 #38234:7e0f7c]  INFO -- : MIQ(MiqQueue#delivered) Message id: [931], State: [error], Delivered in [0.160731622] seconds
[----] I, [2018-12-17T06:54:05.446760 #38234:68ac964]  INFO -- : MIQ(ManageIQ::Providers::Kubevirt::InfraManager#with_provider_connection) Connecting through ManageIQ::Providers::Kubevirt::InfraManager: [openshift-kubevirt Virtualization Manager]
```

Comment 26 Piotr Kliczewski 2018-12-17 12:37:48 UTC
The log entry you provided is not related to this bug but to current version of fog-kubevirt it is used. It was fixed in 0.1.7 and we need to make sure that CFME uses correct version.
Please open new BZ to track this issue.

Comment 27 Vatsal Parekh 2018-12-17 14:04:56 UTC
Last comment seems to be related to a different issue and not in the context of this BZ.
Opened a new one for it https://bugzilla.redhat.com/show_bug.cgi?id=1660099


Note You need to log in before you can comment on or make changes to this bug.